diff --git a/libglusterfs/src/inode.c b/libglusterfs/src/inode.c
index a662073656..f05696392f 100644
--- a/libglusterfs/src/inode.c
+++ b/libglusterfs/src/inode.c
@@ -779,7 +779,7 @@ inode_forget_atomic(inode_t *inode, uint64_t nlookup)
     return inode;
 }
 
-dentry_t *
+static dentry_t *
 __dentry_grep(inode_t *parent, const char *name, struct list_head *hash_loc)
 {
     dentry_t *tmp = NULL;
